<?php

namespace Restaurant\Master\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Restaurant\Master\Interfaces\MasterRepositoryInterface;

class MasterPublicController extends BaseController
{
    // use MasterWorkflow;

    /**
     * Constructor.
     *
     * @param type \Restaurant\Master\Interfaces\MasterRepositoryInterface $master
     *
     * @return type
     */
    public function __construct(MasterRepositoryInterface $master)
    {
        $this->repository = $master;
        parent::__construct();
    }

    /**
     * Show master's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $masters = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$master::master.names'))
            ->view('master::master.index')
            ->data(compact('masters'))
            ->output();
    }


    /**
     * Show master.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $master = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$master->name . trans('master::master.name'))
            ->view('master::master.show')
            ->data(compact('master'))
            ->output();
    }

}
